### Method

# Xdp Portal take_screenshot_finish

#### Declaration [src]

    char*
    xdp_portal_take_screenshot_finish (
      XdpPortal* portal,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes a screenshot request.

Returns the result in the form of a URI pointing to an image file.

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `char*`
| URI pointing to an image file.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.